@charset "utf-8";

:root{
    /* --color_main:#ffbf00; */
    --color_main:#f7b900;
    --color_dark:#dea700;
    --color_light:#fff1c7;
    --color_light_pale:#e4fafe;
    /* --color_gray_pale:#fafafa; */
    --color_gray_pale:#f0f0f0;
    /* --color_text:#445EF2; */
    /* --color_gradient:linear-gradient(60deg, #263973, #445EF2 25%, #05C7F2 103.47%); */
    --color_gradient:linear-gradient(60deg, #00144f, #2143ff 25%, #05C7F2 103.47%);
    --size_gap: 32px;
    --size_gap_half:16px;
    --size_gap_section:128px;
    --size_radius: 10px;
    --size_radius_half: 5px;
}

html {
  scroll-behavior: smooth;
}.break{
    display: inline-block;
}
.mt-10{
    margin-top: -10px;
}
.pl0{
    padding-left: 0!important;
}
.text_gradient{
    -webkit-text-fill-color: #0000;
    -webkit-font-feature-settings: "palt" on;
    background: var(--color_gradient);
    -webkit-background-clip: text;
    background-clip: text;

}


body{
    font-family: 'Noto Sans JP', sans-serif;
    font-weight: 500;
    /* font-family: 'Zen Kaku Gothic New', sans-serif; */
    display: grid;
    grid-template: "header" auto,
    "contents" 1fr,"footer" auto/100%;
    min-height: 100vh;
    overflow-x: hidden;
}

.global_layout__img{
    text-align: center;
    /* margin-bottom: var(--size_gap_half); */
    margin: var(--size_gap_half) 0 var(--size_gap_section);
}
.global_layout__img img{
    width: 1000px;
}
@media screen and (min-width: 1024px) {
    .global_layout__img img{
        width: 80vw;
    }
}
@media screen and (max-width: 820px) {
    .global_layout__img img{
        width: 80vw;
    }
}
@media screen and (max-width: 768px) {
    .global_layout__img img{
        width: 80vw;
    }
}

.global_layout__header{
    width: 100%;
    /* position: fixed; */
    position: sticky;
    top: 0;
    left: 0;
    grid-area: header;
    z-index: 999;
    /* backdrop-filter: blur(2px); */
    /* background: rgba(255, 255, 255, 0.1); */
    background: rgba(255, 255, 255);
}
/* .global_layout__header.hidden{
    transform: translateY(-120px);
    transition: all 0.2s;
} */

.nav{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: var(--size_gap_half) var(--size_gap);
    box-shadow: 0px 0px 8px 1px rgba(10, 10, 10, 0.1);
}

.nav__left{
    display: flex;
    align-items: center;
    gap: 1rem;
}

.nav__left_logo{
    width: 160px;
}

.nav__right{
    display: flex;
    gap: var(--size_gap_half);
}

.nav_menu__pc{
    width: 100%;
    padding: calc(var(--size_gap_half) /2) 0;
    background-color: #000;
}
.nav_menu__pc ul{
    display: flex;
    align-items: center;
    justify-content: center;
}
.nav_menu__pc ul li{
    padding: 0 var(--size_gap);
}
.nav_menu__pc ul li a{
    color: #fff;
    font-size: 0.9rem;
    font-weight: 300;
}
.nav_menu__pc ul li a:hover{
    color: var(--color_main);
}

@media screen and (min-width: 1024px) {
    .nav_menu_sp{
        display: none;
}
}
@media screen and (max-width: 820px) {
    .nav_menu__pc{
        display: none;
    }
}
@media screen and (max-width: 768px) {
    .nav_menu__pc{
        display: none;
    }
}

.nav_menu_sp{
    margin-left: 10px;
}
.hamburger{
    width: 40px;
    height: 25px;
    position: relative;
    top: -3px;
}
.hamburger span{
    position: absolute;
    width: 100%;
    height: 4px;
    background-color: #000;
    transition: .2s;
}
.hamburger span:first-of-type{/* ハンバーガーメニューの1番目の線 */
    top: 0;
}
.hamburger span:nth-of-type(2){/* ハンバーガーメニューの2番目の線 */
    top: 50%;
}
.hamburger span:last-of-type{/* ハンバーガーメニューの3番目の線 */
    top: 100%;
}
.hamburger.active span:first-of-type{/* ハンバーガーメニューの1番目の線 */
    top: 50%;
    transform: rotate(45deg);
}
.hamburger.active span:nth-of-type(2){/* ハンバーガーメニューの2番目の線 */
    opacity: 0;/* 透明にする */
}
.hamburger.active span:last-of-type{/* ハンバーガーメニューの3番目の線 */
    top: 50%;
    transform: rotate(-45deg);
}

.slidemenu{
    background-color: rgba(0, 0, 0, .8);
    position: fixed;
    top: 120px;
    width: 100%;
    left: 0;
    transform: translateX(100%);
    transition: .2s;
}
.slidemenu.active{
    transform: translateX(0);
}
.slidemenu li{
    color: #fff;
    line-height: 400%;
    text-align: center;
}
.slidemenu.hidden{
    transform: translateX(100%);
}




.contents{
    display: grid;
    gap: var(--size_gap_section);
    place-items: center;
    width: 100%;
    position: relative;
}

/* main_cisual */
.main_visual{
    display: flex;
    /* max-width: 1200px; */
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0 auto;
    padding-top: 90px;
    margin-top: 140px;
    padding-bottom: 86px;
    gap: 46px;
    background: repeating-linear-gradient(90deg, #fff8e4 0, #fff8e4 5%, transparent 0, transparent 50%), repeating-linear-gradient(180deg, #fff8e4 0, #fff8e4 5%, transparent 0, transparent 50%);
    background-size: 3em 3em;
    background-color: #ffffff;
    opacity: 1
    }

.main_visual_img img{
    /* max-width: 700px; */
    width: min(650px, 1000px);
}
.main_visual_title{
    display: flex;
    flex-direction: column;
    gap: var(--size_gap);
    align-items: center;
}
.main_visual_title_catch{
    font-size: 2rem;
    font-style: normal;
    /* font-weight: 900; */
    letter-spacing: .08em;
    line-height: 150%;
}
.main_visual_title img{
    /* max-width: 500px; */
    /* width: 500px; */
    width: min(444px, 1000px);
}
.main_visual_title_btn{
    display: flex;
    gap: var(--size_gap_half);
}
@media screen and (max-width: 1024px) {
    .main_visual{
        flex-direction: column;
      }
    .main_visual_img img{
        max-width: 90vw;
    }
    .main_visual_title_catch{
        font-size: 1.6rem;
        text-align: center;
    }
    .main_visual_title{
        align-items: center;
        padding-right: 0;
        padding-top: var(--size_gap);
    }
    .main_visual_title img{
        max-width: 90vw;
    }
}
@media screen and (max-width: 768px) {
    .main_visual_title_btn{
        flex-direction: column;
        align-items: center;
    }
}


/* overview */
.overview{
    padding: var(--size_gap_section) 0;
    width: 100%;
    background-color: var(--color_main);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--size_gap);
}
.overview_img{
    width: 20vw;
}
.overview_text{
    font-weight: 400;
    font-size: 1.25rem;
    letter-spacing: 0.1rem;
    text-align: center;
    line-height: 3;

}

@media screen and (max-width: 1024px) {
    .overview_text{
        font-size: 1.6rem;
        padding: 0 var(--size_gap);
    }
}
@media screen and (max-width: 768px) {
    .overview_img{
        width: 70vw;
    }
    .overview_text{
        font-size: 1rem;
    }
}



/* overview_function */
.overview_function{
    width: 80vw;
    /* padding-top: var(--size_gap_section) ; */
    /* background-color: var(--color_light_pale); */
}
.overview_function__caption{
    font-size: 1.6rem;
    text-align: center;
}

.overview_function__img{
    text-align: center;
    margin-top: var(--size_gap_half);
}
.overview_function__img img{
    width: 700px;
    margin:0 auto;
}

@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 820px) {
    .overview_function__img img{
        width: 80vw;
    }
}
@media screen and (max-width: 768px) {
    .overview_function__img img{
        width: 80vw;
    }
}



/* feature */
.about{
    /* padding: var(--size_gap_section) 0; */
    width: 80vw;
    /* background-color: var(--color_gray_pale); */
}

.about__caption{
    font-size: 1.6rem;
    text-align: center;
}

.about__video{
    display: flex;
}
.about__video_caption{
    font-size: 1.6rem;
    text-align: center;
    background-color: #f0f0f0;
    padding: 8px;
    margin-bottom: var(--size_gap_half);
}
.about__video_img{
    text-align: center;
    margin-top: var(--size_gap_half);
}
.about__video_img img{
    width: 500px;
}
.about__video_img_caption{
    font-size: 1.6rem;
    text-align: center;
    margin-bottom: var(--size_gap_section);
}

@media screen and (min-width: 1024px) {
    .about__video_img img{
        width: 500px;
        margin:0 auto;
    }
}
@media screen and (max-width: 820px) {
    .about__video_img img{
        width: 80vw;
    }
}
@media screen and (max-width: 768px) {
    .about__video_img img{
        width: 80vw;
    }
}









/* contact */
.contact{
    width: 100%;
    padding: var(--size_gap_section) var(--size_gap_half);
    background-color: var(--color_gray_pale);
    /* background-image: url(../img/bg.png);
    background-position: center;
    background-size: cover; */

}
.contact.half{
    padding: 64px var(--size_gap_half);
    background-color: var(--color_light);

}
.contact_title{
    display: flex;
    flex-direction: column;
    gap: var(--size_gap);
    align-items: center;
}
.contact_title_catch{
    font-size: 2rem;
    font-style: normal;
    /* font-weight: 900; */
    letter-spacing: .08em;
    line-height: 150%;
}
.contact_title img{
    /* max-width: 500px; */
    /* width: 500px; */
    width: min(400px, 1000px);
}
.contact_title_btn{
    display: flex;
    gap: var(--size_gap_half);
}
@media screen and (max-width: 1024px) {
    .contact{
        flex-direction: column;
      }
    .contact_img img{
        max-width: 90vw;
    }
    .contact_title_catch{
        font-size: 1.6rem;
        text-align: center;
    }
    .contact_title img{
        max-width: 90vw;
    }
    .contact_title_btn{
        flex-direction: column;
        align-items: center;
    }

}

/* footer */
.footer__logo{
    padding: var(--size_gap_half);
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.footer__logo a{
    display: block;
    width: fit-content;
}
.footer__logo img.logo_a{
    width: 120px;
}
.footer__logo img.logo_b{
    width: 400px;
}
.footer__link{
    background-color: #333;
    padding: var(--size_gap_half) var(--size_gap);
    color: #fff;
}
.footer__link_wrap{
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
}
.footer__link_list{
    display: flex;
    gap: var(--size_gap_half);
    font-size: 0.7rem;
}
.footer__link_copy{
    font-size: 0.7rem;
}

@media screen and (max-width: 1024px) {
    .footer__link_wrap{
        flex-direction: column;
        align-items: center;
    }
    .footer__link_list{
        align-items: center;
        gap: 10px;
        margin-bottom: var(--size_gap_half);
    }
    .footer__link_copy{
        text-align: center;
    }
}




h2{
    font-size: 2rem;
    font-weight: 900;
    text-align: center;
    color: #fff;
}

h3{
    font-size: 2rem;
    font-weight: 500;
    padding:36px 24px;
    position: relative;
    margin-bottom: var(--size_gap);
    letter-spacing: 0.08em;
    margin: 0 auto;
    margin-bottom: var(--size_gap);
    border-left: solid 6px var(--color_main);
    }

h4{
    font-size: 1.6rem;
    padding: 30px 40px;
    position: relative;
    letter-spacing: 0.08em;
    margin: 0 auto;
    margin-bottom: calc(var(--size_gap)*1.5);
    background: #f7b900;
    /* color: #fff; */
    /* border-radius: 60px; */
    text-shadow: 0 0 5px #fff;
    background: repeating-linear-gradient(-45deg, #feeb9c, #ffe989 3px, #fff7d7 3px, #feea94 7px);}

/* layout_btn */
.layout__btn{
    /* box-shadow: 0 4px 4px rgba(0, 0, 0, .1), 0 1px 6px rgba(0, 0, 0, .05), 0 8px 8px rgba(0, 0, 0, .1), 0 16px 16px rgba(0, 0, 0, .1); */
    /* box-shadow:0 4px 4px rgb(19 0 255 / 10%), 0 1px 6px rgb(172 187 255 / 5%), 0 8px 8px rgb(186 176 255 / 10%), 0 16px 16px rgb(63 92 217 / 10%); */
    background: #fff;
    border: solid 2px var(--color_main);
    position: relative;
    width: fit-content;
    max-width: 500px;
    max-height: 96px;
    padding: 0 24px;
    border-radius: 6px;
    transition: 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--size_gap_half);
    color:var(--color_main) ;
    cursor: pointer;
    font-weight: 900;
}
.layout__btn:hover {
    /* box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px; */
    transition: 0.3s;
    cursor: pointer;
    background: var(--color_main);
    border: solid 2px var(--color_main);
    color: #fff;
    font-weight: 800;
}
.btn_header{
    height: 42px;
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: 0.08rem;
}
.btn_main_visual{
    height: 64px;
    font-size: 1.4rem;
    font-weight: 600;
    letter-spacing: 0.08rem;
}
@media screen and (max-width: 1024px) {
    .nav{
        padding: var(--size_gap_half);
    }
    .nav__left_logo{
        width: 100px;
    }
    .nav__right{
        gap: 4px;
    }
    .btn_header{
        padding: 0 6px;
        font-size: 0.8rem;
    }
}
@media screen and (max-width: 820px) {
    .btn_header{
        display: none;
    }
}
@media screen and (max-width: 768px) {
    .btn_header{
        display: none;
    }
}




/*ページトップボタン*/
.pageTopButton{
    position: fixed;
    right: 40px;
    bottom: 25px;
    width: 60px;
    height: 60px;
    background-color: #aaa;
    border-radius: 30px;
    transition: all 0.2s;
}
.pageTopButton:hover{
    background-color: #666;
}
.pageTopButton > a{
    display: block;
    width: 60px;
    height: 60px;
    position: relative;
}
.pageTopButton > a::before{
    content:' ';
    width: 15px;
    height: 15px;
    transform: rotate(-45deg);
    border-top: solid 4px #fff;
    border-right: solid 4px #fff;
    position: absolute;
    left: 22px;
    top: 25px;
}

.pageTopButtonDisp{
    opacity: 0.7;
    transition: all 0.2s;
    z-index: 2147483647;
}
.pageTopButtonNotDisp{
    opacity: 0;
    transition: all 0.2s;
    /* z-index: -999; */
}
